Skip to main content

Query Universal Transfer History - broker user

request

get  /api/v3/broker/sub-account/universalTransfer?timestamp={{timestamp}}&signature={{signature}}

response

[
{
"tranId":"11945860693",
"fromAccount":"[email protected]",
"toAccount":"[email protected]",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
},
{
"tranId":"11945860693",
"fromAccount":"[email protected]",
"toAccount":"[email protected]",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
}
]

Http Request:

  • GET /api/v3/broker/sub-account/universalTransfer

API Permission: SPOT_TRANSFER_READ

Request Parameter:

NameTypeMandatoryDescription
clientTranIdstringno32-character alphanumeric string
fromAccountstringnotransfer from master account by default if fromAccount is not sent
toAccountstringnotransfer to master account by default if toAccount is not sent
fromAccountTypestringyesfromAccountType
toAccountTypestringyestoAccountType
startTimestringnoStart time, Unix millisecond timestamp
endTimestringnoEnd time, Unix millisecond timestamp
pagestringnodefault 1
limitstringnodefault 500, max 500
timestampstringyestimestamp
signaturestringyessign

Response Parameter:

NameTypeDescription
tranIdstringtransfer ID
fromAccountstringfromAccount
toAccountstringtoAccount
clientTranIdstringclientTranId
assetstringtransfer asset
amountstringtransfer amount
fromAccountTypestringfromAccountType
toAccountTypestringtoAccountType
fromsymbolstringfromsymbol
tosymbolstringtosymbol
statusstringtransfer status
timestampnumbertransfer time